Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DescribeSpotDatafeedSubscriptionResult

    java.lang.Object
      com.amazonaws.services.ec2.model.DescribeSpotDatafeedSubscriptionResult

    public class DescribeSpotDatafeedSubscriptionResult

extends Object

Constructor Summary
`DescribeSpotDatafeedSubscriptionResult()`

Method Summary
`SpotDatafeedSubscription` | `getSpotDatafeedSubscription()` The Spot Instance datafeed subscription.
`void` | `setSpotDatafeedSubscription(SpotDatafeedSubscription spotDatafeedSubscription)` The Spot Instance datafeed subscription.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeSpotDatafeedSubscriptionResult` | `withSpotDatafeedSubscription(SpotDatafeedSubscription spotDatafeedSubscription)` The Spot Instance datafeed subscription.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeSpotDatafeedSubscriptionResult

    public DescribeSpotDatafeedSubscriptionResult()

Method Detail

### getSpotDatafeedSubscription

    public SpotDatafeedSubscription getSpotDatafeedSubscription()

  The Spot Instance datafeed subscription.

  Returns:
    The Spot Instance datafeed subscription.

### setSpotDatafeedSubscription

    public void setSpotDatafeedSubscription(SpotDatafeedSubscription spotDatafeedSubscription)

  The Spot Instance datafeed subscription.

  Parameters:
    `spotDatafeedSubscription` - The Spot Instance datafeed subscription.

### withSpotDatafeedSubscription

    public DescribeSpotDatafeedSubscriptionResult withSpotDatafeedSubscription(SpotDatafeedSubscription spotDatafeedSubscription)

  The Spot Instance datafeed subscription.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `spotDatafeedSubscription` - The Spot Instance datafeed subscription.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.